<template>
  <div class="wp-12 wp-layout wp-layout--no-pad wp-layout--form">
    <div class="wp-12 wp-layout wp-layout--no-pad">
      <wp-input class="wp-12" type="text" v-model="email"
        label="Логин пользователя" placeholder="Введите логин"/>
    </div>
    <div class="wp-12 wp-layout wp-layout--no-pad">
      <button class="wp-button wp-button--margin-right" @click="inviteUser">
        Пригласить
      </button>
      <button class="wp-button wp-button--cancel" @click="$emit('close')">
        Отменить
      </button>
    </div>
  </div>
</template>

<script>
import { mapActions } from 'vuex';

import WpInput from '@/components/WpInput.vue';

export default {
  name: 'InviteUser',
  components: {
    WpInput,
  },
  data() {
    return {
      email: '',
    };
  },
  methods: {
    ...mapActions('organization', ['createOrganizationInvite']),
    async inviteUser() {
      try {
        await this.createOrganizationInvite(this.email);
        this.$toasted.success('Пользователь приглашён');
        this.$emit('close');
      } catch (errors) {
        if (errors.length) {
          errors.forEach((err) => {
            this.$toasted.error(err.message);
          });
        } else {
          this.$toasted.error('Неизветсная ошибка');
        }
      }
    },
  },
};
</script>

<style></style>
